Bug 337659 - support systemd-timesyncd in addition to ntpdate and rdate
Summary: support systemd-timesyncd in addition to ntpdate and rdate
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_clock (show other bugs)
Version: 4.11.10
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Paul Campbell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-21 10:52 UTC by Hussam Al-Tayeb
Modified: 2015-02-27 19:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2014-07-21 10:52:44 UTC
Right now, the "Set date and time automatically" option is greyed if I don't have ntpdate or rdate installed.
Please support systemd-timesyncd too.
It is part of the recent systemd releases and works well as a minimal ntp client.
Perhaps just execute "systemctl enable systemd-timesyncd ; systemctl start systemd-timesyncd" when the user enables 'Set date and time automatically'.

Obviously keep ntpdate/rdate as first choices.
Comment 1 Christoph Feck 2014-07-21 11:57:41 UTC
Yep, this module needs someone familiar with the system clock internals and make it work on recent systems.
Comment 2 David Edmundson 2015-02-27 19:18:51 UTC
Git commit b6ae01ca8ea776c97cc57836401ca9696e2529e8 by David Edmundson.
Committed on 14/02/2015 at 13:50.
Pushed by davidedmundson into branch 'master'.

Add systemd support into the clock KCM as an optional dependency

The current time setting helper is incredibly broken.

It manually tries to run a range of NTP utilities, all of which are
deprecated.

We can just call timedated directly and cut out the middleman as it has
uses polkit anyway.

This is currently an optional dependency, and the original helper still
exists. It makes the code messy, but we have users to support for now.

Detection is done at runtime
Related: bug 196316, bug 311286, bug 317784, bug 319072, bug 337012, bug 339582, bug 241817, bug 178968, bug 320456, bug 317999
REVIEW: 122400

M  +5    -1    kcms/dateandtime/CMakeLists.txt
M  +22   -12   kcms/dateandtime/dateandtime.ui
M  +44   -30   kcms/dateandtime/dtime.cpp
M  +2    -1    kcms/dateandtime/dtime.h
M  +80   -7    kcms/dateandtime/main.cpp
M  +5    -1    kcms/dateandtime/main.h
A  +43   -0    kcms/dateandtime/timedated1.xml

http://commits.kde.org/plasma-desktop/b6ae01ca8ea776c97cc57836401ca9696e2529e8